Subject: Re: draft-dnsext-edns1-04.txt

From: Paul Vixie <[email-masked]>
Date: Thu, 05 Sep 2002 14:28:51 +0000

> In other words, I agree COMPLETELY that multiple queries were an
> intended part of the original archicture, but I also believe that (at
> the time) there were too many potential issues (corner cases) so
> people didn't want to cope.

i don't think they were de-coped at specification time.  older versions
of bind did not even check QDCOUNT at query time -- they just decoded a
single QNAME, QCLASS, and QTYPE and assumed that this left them pointing
at the first thing in the answer section.  in one of my early sweeps, i
chose to put in "if (qdcount != 1) fail" rather than a "for" loop, since
the meaning of "(qdcount > 1)" was completely unclear in RFC 1035.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>